MediaWiki:Vector.css

aus Helmstedt-Wiki, der freien Enzyklopädie über den Landkreis Helmstedt
Zur Navigation springen Zur Suche springen

Hinweis – leere nach dem Speichern den Browser-Cache, um die Änderungen sehen zu können: Mozilla/Firefox/Safari: Strg + R (Mactaste + R bei Macintosh) drücken; Konqueror: F5 drücken; Opera: kompletten Cache unter Extras → Internetspuren löschen → Individuelle Auswahl leeren; Internet Explorer: Strg + F5

/* CSS an dieser Stelle wirkt sich auf den Vector-Skin aus. */

/*
 * Koordinaten und diverse andere Anzeigen oben rechts, siehe
 * [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
 * Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
 * deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
 * Schriftgröße.
 * Der folgende Darstellungsfehler ist bekannt: Wenn die Fensterbreite kleiner
 * als 982px ist und die Schriftgröße des Wurzelelements wie üblich 16px ist,
 * überlappen sich die 17px hohen Icons der Gadgets „WikiMiniAtlas“ und
 * „OpenStreetMap“ mit der SiteNotice.
 */
#mw-content-text :is(#coordinates, #editcount, #shortcut),
body.ns-special #mw-content-text .specialpage-helplink {
	display: block;
	font-size: x-small;
	line-height: 1.5;
	position: absolute;
	right: 0;
	text-align: right;
	text-indent: 0;
	top: -7em;
	white-space: nowrap;
}

/* Korrektur Schriftart der Überschriften */
.mw-body #firstHeading,
.mw-body :is(h1, h2) {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    color: #262626;
}

/* tabelle-kopf-fixiert */
@media screen and (min-width: 721px) {
	table.wikitable.tabelle-kopf-fixiert th,
	table.wikitable.tabelle-kopf-fixiert tr.tabelle-zaehler-kopf::before {
		position: sticky;
		top: 0;
		z-index: 12;
	}
	table.wikitable.tabelle-kopf-fixiert {
		border-collapse: separate;
		border-spacing: 0;
		border-bottom-style: none;
		border-left-style: none;
	}
	table.wikitable.tabelle-kopf-fixiert th,
	table.wikitable.tabelle-kopf-fixiert td {
		border-right-style: none;
		border-top-style: none;
	}
}
@media screen and (min-width: 1000px) {
	html.client-js.vector-sticky-header-enabled table.wikitable.tabelle-kopf-fixiert th,
	html.client-js.vector-sticky-header-enabled table.wikitable.tabelle-kopf-fixiert tr.tabelle-zaehler-kopf::before {
		top: 3.125rem;
	}
}